Index: /palm/trunk/SOURCE/user_lpm_init.f90
===================================================================
--- /palm/trunk/SOURCE/user_lpm_init.f90	(revision 4179)
+++ /palm/trunk/SOURCE/user_lpm_init.f90	(revision 4180)
@@ -30,36 +30,4 @@
 ! Corrected "Former revisions" section
 ! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 2101 2017-01-05 16:42:31Z suehring
-!
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable 
-! 
-! 1416 2014-06-04 16:04:03Z suehring
-! load module indices
-! 
-! 1359 2014-04-11 17:15:14Z hoffmann
-! New particle structure integrated. 
-!
-! 1320 2014-03-20 08:40:49Z raasch
-! kind-parameters added to all INTEGER and REAL declaration statements, 
-! kinds are defined in new module kinds, 
-! old module precision_kind is removed,
-! comment fields (!:) to be used for variable explanations added to
-! all variable declaration statements 
-!
-! 1036 2012-10-22 13:43:42Z raasch
-! code put under GPL (PALM 3.9)
-!
-! 849 2012-03-15 10:35:09Z raasch
-! routine renamed: user_init_particles -> user_lpm_init
-!
-! 211 2008-11-11 04:46:24Z raasch
-! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_module.f90
===================================================================
--- /palm/trunk/SOURCE/user_module.f90	(revision 4179)
+++ /palm/trunk/SOURCE/user_module.f90	(revision 4180)
@@ -42,40 +42,4 @@
 ! An example for a user defined global variable has been added (Giersch)
 ! 
-! 2718 2018-01-02 08:49:38Z suehring
-! Corrected "Former revisions" section
-! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 2101 2017-01-05 16:42:31Z suehring
-!
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1873 2016-04-18 14:50:06Z maronga
-! Module renamed (removed _mod)
-! 
-! 
-! 1850 2016-04-08 13:29:27Z maronga
-! Module renamed
-! 
-! 
-! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable 
-!
-! 1320 2014-03-20 08:40:49Z raasch
-! kind-parameters added to all INTEGER and REAL declaration statements, 
-! kinds are defined in new module kinds, 
-! old module precision_kind is removed,
-! revision history before 2012 removed,
-! comment fields (!:) to be used for variable explanations added to
-! all variable declaration statements 
-!
-! 1036 2012-10-22 13:43:42Z raasch
-! code put under GPL (PALM 3.9)
-!
-! Revision 1.1  1998/03/24 15:29:04  raasch
-! Initial revision
-!
 !
 ! Description:
Index: /palm/trunk/SOURCE/user_spectra.f90
===================================================================
--- /palm/trunk/SOURCE/user_spectra.f90	(revision 4179)
+++ /palm/trunk/SOURCE/user_spectra.f90	(revision 4180)
@@ -30,40 +30,4 @@
 ! Renamed output variables
 ! 
-! 3049 2018-05-29 13:52:36Z Giersch
-! Error messages revised
-! 
-! 3045 2018-05-28 07:55:41Z Giersch
-! Corrected "Former revisions" section
-! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 2101 2017-01-05 16:42:31Z suehring
-!
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1960 2016-07-12 16:34:24Z suehring
-! Consider additional spectra for passive scalar
-! 
-! 1833 2016-04-07 14:23:03Z raasch
-! spectrum renamed spectra_mod
-! 
-! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable  
-!
-! 1320 2014-03-20 08:40:49Z raasch
-! kind-parameters added to all INTEGER and REAL declaration statements, 
-! kinds are defined in new module kinds, 
-! old module precision_kind is removed,
-! revision history before 2012 removed,
-! comment fields (!:) to be used for variable explanations added to
-! all variable declaration statements 
-!
-! 1036 2012-10-22 13:43:42Z raasch
-! code put under GPL (PALM 3.9)
-!
-! 211 2008-11-11 04:46:24Z raasch
-! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: /palm/trunk/SOURCE/vertical_nesting_mod.f90
===================================================================
--- /palm/trunk/SOURCE/vertical_nesting_mod.f90	(revision 4179)
+++ /palm/trunk/SOURCE/vertical_nesting_mod.f90	(revision 4180)
@@ -37,44 +37,4 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! unused variables removed
-! 
-! 3232 2018-09-07 12:21:44Z raasch
-! references to mrun replaced by palmrun, and updated
-! 
-! 3083 2018-06-19 14:03:12Z gronemeier
-! Error messages revised
-! 
-! 3065 2018-06-12 07:03:02Z Giersch
-! dz was replaced by dz(1), error messages related to vertical grid stretching 
-! have been added
-! 
-! 3049 2018-05-29 13:52:36Z Giersch
-! Error messages revised
-! 
-! 3045 2018-05-28 07:55:41Z Giersch
-! Error message revised
-! 
-! 2718 2018-01-02 08:49:38Z maronga
-! Corrected "Former revisions" section
-! 
-! 2712 2017-12-20 17:32:50Z kanani
-! Formatting and clean-up (SadiqHuq)
-! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-! Renamed diffusivities to tcm_diffusivities (TG)
-! 
-! 2516 2017-10-04 11:03:04Z suehring
-! Remove tabs
-! 
-! 2514 2017-10-04 09:52:37Z suehring
-! Remove tabs
-! 
-! 2514 2017-10-04 09:52:37Z suehring
-! Added todo list
-! 
-! 2365 2017-08-21 14:59:59Z kanani
-! Initial revision (SadiqHuq)
-! 
-! 
 ! 
 ! 
Index: /palm/trunk/SOURCE/virtual_flight_mod.f90
===================================================================
--- /palm/trunk/SOURCE/virtual_flight_mod.f90	(revision 4179)
+++ /palm/trunk/SOURCE/virtual_flight_mod.f90	(revision 4180)
@@ -34,72 +34,4 @@
 ! variables documented
 ! 
-! 3421 2018-10-24 18:39:32Z gronemeier
-! Renamed output variables
-! 
-! 3274 2018-09-24 15:42:55Z knoop
-! Modularization of all bulk cloud physics code components
-! 
-! 3248 2018-09-14 09:42:06Z sward
-! Minor formating changes
-! 
-! 3246 2018-09-13 15:14:50Z sward
-! Added error handling for input namelist via parin_fail_message
-! 
-! 3241 2018-09-12 15:02:00Z raasch
-! unused variables removed
-! 
-! 3182 2018-07-27 13:36:03Z suehring
-! IF statement revised to consider new vertical grid stretching
-! 
-! 3049 2018-05-29 13:52:36Z Giersch
-! Error messages revised
-! 
-! 2932 2018-03-26 09:39:22Z Giersch
-! renamed flight_par to virtual_flight_parameters
-! 
-! 2894 2018-03-15 09:17:58Z Giersch
-! variable named found has been introduced for checking if restart data was 
-! found, reading of restart strings has been moved completely to 
-! read_restart_data_mod, virtual_flight_prerun flag has been removed, redundant
-! skipping function has been removed, flight_read/write_restart_data 
-! have been renamed to flight_r/wrd_global, flight_rrd_global is called in 
-! read_restart_data_mod now, marker *** end flight *** was removed, strings and
-! their respective lengths are written out and read now in case of restart runs
-! to get rid of prescribed character lengths, CASE DEFAULT was added if restart
-! data is read
-! 
-! 2872 2018-03-12 10:05:47Z Giersch
-! virutal_flight_prerun flag is used to define if module 
-! related parameters were outputted as restart data
-! 
-! 2718 2018-01-02 08:49:38Z maronga
-! Corrected "Former revisions" section
-! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 2576 2017-10-24 13:49:46Z Giersch
-! Definition of a new function called flight_skip_var_list to skip module 
-! parameters during reading restart data
-! 
-! 2563 2017-10-19 15:36:10Z Giersch
-! flight_read_restart_data is called in flight_parin in the case of a restart 
-! run. flight_skip_var_list is not necessary anymore due to marker changes in
-! restart files.
-! 
-! 2271 2017-06-09 12:34:55Z sward
-! Todo added
-! 
-! 2101 2017-01-05 16:42:31Z suehring
-!
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1960 2016-07-12 16:34:24Z suehring
-! Separate humidity and passive scalar.
-! Bugfix concerning labeling of timeseries.
-! 
-! 1957 2016-07-07 10:43:48Z suehring
-! Initial revision
 !
 ! Description:
Index: /palm/trunk/SOURCE/virtual_measurement_mod.f90
===================================================================
--- /palm/trunk/SOURCE/virtual_measurement_mod.f90	(revision 4179)
+++ /palm/trunk/SOURCE/virtual_measurement_mod.f90	(revision 4180)
@@ -66,13 +66,4 @@
 ! Sampling of variables
 ! 
-! 3494 2018-11-06 14:51:27Z suehring
-! Bugfixing
-! 
-! 3473 2018-10-30 20:50:15Z suehring
-! Initial revision
-!
-! Authors:
-! --------
-! @author Matthias Suehring
 !
 ! Description:
Index: /palm/trunk/SOURCE/wind_turbine_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/wind_turbine_model_mod.f90	(revision 4179)
+++ /palm/trunk/SOURCE/wind_turbine_model_mod.f90	(revision 4180)
@@ -52,125 +52,4 @@
 ! Replace degree symbol by 'degrees'
 !
-! 3274 2018-09-24 15:42:55Z knoop
-! Modularization of all bulk cloud physics code components
-! 
-! 3248 2018-09-14 09:42:06Z sward
-! Minor formating changes
-! 
-! 3246 2018-09-13 15:14:50Z sward
-! Added error handling for input namelist via parin_fail_message
-! 
-! 3241 2018-09-12 15:02:00Z raasch
-! unused variables removed
-! 
-! 3182 2018-07-27 13:36:03Z suehring
-! Check for vertical stretching has been revised. 
-! 
-! 3139 2018-07-17 11:30:10Z Giersch
-! Bugfix in calculation of alpha_attack
-! 
-! 3069 2018-06-15 07:56:09Z witha
-! Initialization of some arrays added
-! 
-! 3066 2018-06-12 08:55:55Z Giersch
-! Error message revised
-!
-! 3065 2018-06-12 07:03:02Z Giersch
-! dz was replaced by dz(1), error message concerning grid stretching has been
-! introduced
-! 
-! 3049 2018-05-29 13:52:36Z Giersch
-! Error messages revised
-! 
-! 2932 2018-03-26 09:39:22Z Giersch
-! renamed wind_turbine_par to wind_turbine_parameters
-! 
-! 2894 2018-03-15 09:17:58Z Giersch
-! variable named found has been introduced for checking if restart data was 
-! found, reading of restart strings has been moved completely to 
-! read_restart_data_mod, wind_turbine_prerun flag has been removed, redundant 
-! skipping function has been removed, wtm_read/write_restart_data have been
-! renamed to wtm_r/wrd_global, wtm_rrd_global is called in 
-! read_restart_data_mod now, marker *** end wtm *** was removed, strings and 
-! their respective lengths are written out and read now in case of restart 
-! runs to get rid of prescribed character lengths, CASE DEFAULT was added if 
-! restart data is read 
-! 
-! 2885 2018-03-14 11:02:46Z Giersch
-! Bugfix in interpolation of lift and drag coefficients on fine grid of radius 
-! segments and angles of attack, speed-up of the initialization of the wind 
-! turbine model 
-! 
-! 2792 2018-02-07 06:45:29Z Giersch
-! omega_rot_l has to be calculated after determining the indices for the hub in
-! case of restart runs
-! 
-! 2776 2018-01-31 10:44:42Z Giersch
-! wind_turbine_prerun flag is used to define if module 
-! related parameters were outputted as restart data
-! 
-! 2718 2018-01-02 08:49:38Z maronga
-! Corrected "Former revisions" section
-! 
-! 2696 2017-12-14 17:12:51Z kanani
-! Change in file header (GPL part)
-!
-! 2669 2017-12-06 16:03:27Z raasch
-! filename of turbine output changed to WTM_OUTPUT_DATA. File extension now
-! includes the nest domain number. Turbine extension changed to "_T##"
-!
-! 2576 2017-10-24 13:49:46Z Giersch
-! Definition of a new function called wtm_skip_global to skip module 
-! parameters during reading restart data
-! 
-! 2563 2017-10-19 15:36:10Z Giersch
-! Restart runs with wind turbine model are possible now. For this purpose, two 
-! new subroutines wtm_write_restart_data and wtm_read_restart_data had to be 
-! defined
-! 
-! 2553 2017-10-18 08:03:45Z Giersch
-! Bugfix of vertical loop in wtm_tendencies to account for different turbine 
-! heights, bugfix of the interpolation of the u-component concerning the 
-! vertical index and further small adjustments of the programming style 
-! 
-! 2410 2017-09-06 08:16:30Z Giersch
-! Revise error message PA0462
-! 
-! 2349 2017-08-10 15:44:04Z Giersch
-! Add parameter pitch_rate to namelist and revise/add error messages 
-! 
-! 2343 2017-08-08 11:28:43Z Giersch
-! Unit correction in Doxygen comments
-! 
-! 2323 2017-07-26 12:57:38Z Giersch
-! Change unit number of file WTM_DATA from 201 to 90
-!  
-! 2322 2017-07-26 08:30:28Z Giersch
-! Bugfix of error message and assign error numbers
-! 
-! 2257 2017-06-07 14:07:05Z witha
-! Bugfix: turb_cl_tab and turb_cd_tab were set to zero before being allocated
-! 
-! 2233 2017-05-30 18:08:54Z suehring
-! 
-! 2232 2017-05-30 17:47:52Z suehring
-! Adjustments to new topography concept
-! 
-! 2152 2017-02-17 13:27:24Z lvollmer
-! Bugfix in subroutine wtm_read_blade_tables
-! Addition of a tip loss model
-! 
-! 2015 2016-09-28 08:45:18Z lvollmer
-! Bugfix of pitch control
-! 
-! 2000 2016-08-20 18:09:15Z knoop
-! Forced header and separation lines into 80 columns
-! 
-! 1929 2016-06-09 16:25:25Z suehring
-! Bugfix: added preprocessor directives for parallel and serial mode
-! 
-! 1914 2016-05-26 14:44:07Z witha
-! Initial revision
-! 
 !
 ! Description:
Index: /palm/trunk/SOURCE/write_restart_data_mod.f90
===================================================================
--- /palm/trunk/SOURCE/write_restart_data_mod.f90	(revision 4179)
+++ /palm/trunk/SOURCE/write_restart_data_mod.f90	(revision 4180)
@@ -42,41 +42,4 @@
 ! Implementation of the PALM module interface
 ! 
-! 3589 2018-11-30 15:09:51Z suehring
-! Move the control parameter "salsa" from salsa_mod to control_parameters 
-! (M. Kurppa)
-! 
-! 
-! 3582 2018-11-29 19:16:36Z suehring
-! Implementation of a new aerosol module salsa.
-! 
-! 3355 2018-10-16 14:03:34Z knoop
-! changes concerning modularization of ocean option
-! 
-! 3274 2018-09-24 15:42:55Z knoop
-! Modularization of all bulk cloud physics code components
-! 
-! 3065 2018-06-12 07:03:02Z Giersch
-! New parameters concerning vertical grid stretching have been added
-! 
-! 3004 2018-04-27 12:33:25Z Giersch
-! precipitation_rate_av removed
-! 
-! 3003 2018-04-23 10:22:58Z Giersch
-! z_i is also written out to use the last known inversion height from the 
-! initial run as the first inversion height which is written into the
-! run control file 
-! 
-! 2956 2018-04-10 11:01:03Z Giersch
-! spectrum_x and spectrum_y have been moved to global data
-! 
-! 2921 2018-03-22 15:05:23Z Giersch
-! spinup_time, day_of_year_init and time_utc_init are also written out now
-! 
-! 2912 2018-03-20 13:00:05Z knoop
-! Added gust module interface calls
-! 
-! 2894 2018-03-15 09:17:58Z Giersch
-! Initial revision 
-!
 !
 ! Description:
